#ifndef LAYERCONTROLWIDGET_H
#define LAYERCONTROLWIDGET_H

#include <QTabWidget>

class MapLayerWidget;
class IconLayerWidget;
class EntityWidget;

/**
* @brief 图层控制窗口
* 图层控制窗口，包含很多图层，如：地图图层(各种瓦片地图, 矢量地图等)，军标图层
**/
class LayerControlWidget : public QTabWidget
{
    Q_OBJECT
public:
    LayerControlWidget(QWidget* parent = nullptr);

    MapLayerWidget *getMapLayerWidget();
    IconLayerWidget *getIconLayerWidget();
    EntityWidget* getEntityWidget();
private:
    void initUI();

private:
    MapLayerWidget* mMapLayerWidget;
    IconLayerWidget* mIconLayerWidget;
    EntityWidget* mEntityWidget;
};

#endif // LAYERCONTROLWIDGET_H
